Bug 1030521 - restart of restorecond service does not stop the running instance
restart of restorecond service does not stop the running instance
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: policycoreutils (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Walsh
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 10:46 EST by Milos Malik
Modified: 2014-06-17 22:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:24:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2013-11-14 10:46:20 EST
Description of problem:


Version-Release number of selected component (if applicable):
policycoreutils-python-2.1.14-88.el7.x86_64
policycoreutils-2.1.14-88.el7.x86_64
policycoreutils-newrole-2.1.14-88.el7.x86_64
policycoreutils-restorecond-2.1.14-88.el7.x86_64
policycoreutils-devel-2.1.14-88.el7.x86_64

How reproducible:
always

Steps to Reproduce:
# ps -efZ | grep restorecon
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 root 15977 2470  0 16:41 pts/0 00:00:00 grep --color=auto restorecon
# service restorecond start
Redirecting to /bin/systemctl start  restorecond.service
# service restorecond restart
Redirecting to /bin/systemctl restart  restorecond.service
# service restorecond restart
Redirecting to /bin/systemctl restart  restorecond.service
# service restorecond restart
Redirecting to /bin/systemctl restart  restorecond.service
# service restorecond restart
Redirecting to /bin/systemctl restart  restorecond.service
# ps -efZ | grep restorecon
system_u:system_r:restorecond_t:s0 root  15991     1  0 16:41 ?        00:00:00 /usr/sbin/restorecond
system_u:system_r:restorecond_t:s0 root  16005     1  0 16:41 ?        00:00:00 /usr/sbin/restorecond
system_u:system_r:restorecond_t:s0 root  16019     1  0 16:41 ?        00:00:00 /usr/sbin/restorecond
system_u:system_r:restorecond_t:s0 root  16033     1  0 16:41 ?        00:00:00 /usr/sbin/restorecond
system_u:system_r:restorecond_t:s0 root  16047     1  0 16:41 ?        00:00:00 /usr/sbin/restorecond
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 root 16049 2470  0 16:41 pts/0 00:00:00 grep --color=auto restorecon
#

Actual results:
 * each restart increases the number of running restorecond instances by 1

Expected results:
 * restart of restorecond service stops the existing instance and starts a new one
Comment 1 Daniel Walsh 2013-11-18 14:13:28 EST
Fixed in policycoreutils-2.2.2-1.el7
Comment 4 Ludek Smid 2014-06-13 06:24:51 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.